Custom extractions
Read and manage custom extraction rules: selector-based page values that become alert signals.
- GET
/sites/{site_id}/custom-extractionsList custom extractions - POST
/sites/{site_id}/custom-extractionsCreate custom extractionOAuth only - POST
/sites/{site_id}/custom-extractions/selector-previewPreview custom extraction selectorOAuth only - GET
/sites/{site_id}/custom-extractions/statusGet custom extractions status - POST
/sites/{site_id}/custom-extractions/testTest custom extractorOAuth only - GET
/sites/{site_id}/custom-extractions/{rule_id}Get custom extraction - PUT
/sites/{site_id}/custom-extractions/{rule_id}Update custom extractionOAuth only - DEL
/sites/{site_id}/custom-extractions/{rule_id}Delete custom extractionOAuth only - POST
/sites/{site_id}/custom-extractions/{rule_id}/delete-previewPreview delete custom extractionOAuth only
Generated from the API contract at 7e7039b0b, synced October 30, 2026.